Index: palm/trunk/SOURCE/init_grid.f90
===================================================================
--- palm/trunk/SOURCE/init_grid.f90	(revision 2968)
+++ palm/trunk/SOURCE/init_grid.f90	(revision 3045)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 2968 2018-04-13 11:52:24Z suehring
 ! Bugfix in initialization in case of elevated model surface. Introduce
 ! index for minimum topography-top. 
@@ -651,7 +654,7 @@
        IF ( nzb_local_min < 0  .OR.  nzb_local_max  > nz + 1 )  THEN
           WRITE( message_string, * ) 'nzb_local values are outside the',       &
-                                'model domain',                                &
-                                '&MINVAL( nzb_local ) = ', nzb_local_min,      &
-                                '&MAXVAL( nzb_local ) = ', nzb_local_max
+                                ' model domain',                               &
+                                ' MINVAL( nzb_local ) = ', nzb_local_min,      &
+                                ' MAXVAL( nzb_local ) = ', nzb_local_max
           CALL message( 'init_grid', 'PA0210', 1, 2, 0, 6, 0 )
        ENDIF
@@ -1497,5 +1500,5 @@
                ( bys < 1 ) .OR. ( byn > ny-1 ) .OR. ( byn < bys+3 ) )  THEN
              WRITE( message_string, * ) 'inconsistent building parameters:',   &
-                                      '& bxl=', bxl, 'bxr=', bxr, 'bys=', bys, &
+                                      ' bxl=', bxl, 'bxr=', bxr, 'bys=', bys,  &
                                       'byn=', byn, 'nx=', nx, 'ny=', ny
              CALL message( 'init_grid', 'PA0203', 1, 2, 0, 6, 0 )
@@ -1589,7 +1592,7 @@
                   ( ch < 3 ) )  THEN
                 WRITE( message_string, * ) 'inconsistent canyon parameters:',  &
-                                           '&cxl=', cxl, 'cxr=', cxr,          &
-                                           'cwx=', cwx,                        &
-                                           'ch=', ch, 'nx=', nx, 'ny=', ny
+                                           ' cxl=', cxl, ' cxr=', cxr,         &
+                                           ' cwx=', cwx,                       &
+                                           ' ch=', ch, ' nx=', nx, ' ny=', ny
                 CALL message( 'init_grid', 'PA0205', 1, 2, 0, 6, 0 ) 
              ENDIF
@@ -1598,7 +1601,7 @@
                   ( ch < 3 ) )  THEN
                 WRITE( message_string, * ) 'inconsistent canyon parameters:',  &
-                                           '&cys=', cys, 'cyn=', cyn,          &
-                                           'cwy=', cwy,                        &
-                                           'ch=', ch, 'nx=', nx, 'ny=', ny
+                                           ' cys=', cys, ' cyn=', cyn,         &
+                                           ' cwy=', cwy,                       &
+                                           ' ch=', ch, ' nx=', nx, ' ny=', ny
                 CALL message( 'init_grid', 'PA0206', 1, 2, 0, 6, 0 ) 
              ENDIF
@@ -1607,6 +1610,6 @@
                canyon_width_y /= 9999999.9_wp )  THEN
              message_string = 'inconsistent canyon parameters:' //             &   
-                              '&street canyon can only be oriented' //         &
-                              '&either in x- or in y-direction'
+                              ' street canyon can only be oriented' //         &
+                              ' either in x- or in y-direction'
              CALL message( 'init_grid', 'PA0207', 1, 2, 0, 6, 0 )
           ENDIF
@@ -1895,12 +1898,13 @@
                TRIM( topography ) /= 'read_from_file')  THEN
 !--          The default value is not applicable here, because it is only valid
-!--          for the two standard cases 'single_building' and 'read_from_file'
+!--          for the four standard cases 'single_building', 
+!--          'single_street_canyon', 'tunnel' and 'read_from_file'
 !--          defined in init_grid.
              WRITE( message_string, * )                                        &
                'The value for "topography_grid_convention" ',                  &
-               'is not set. Its default value is & only valid for ',           &
-               '"topography" = ''single_building'', ',                         &
-               '''single_street_canyon'' & or ''read_from_file''.',            &
-               ' & Choose ''cell_edge'' or ''cell_center''.'
+               'is not set. Its default value is only valid for ',             &
+               '"topography" = ''single_building'', ''tunnel'' ',              &
+               '''single_street_canyon'' or ''read_from_file''.',              &
+               ' Choose ''cell_edge'' or ''cell_center''.'
              CALL message( 'init_grid', 'PA0239', 1, 2, 0, 6, 0 )
           ELSE
@@ -1919,5 +1923,5 @@
           WRITE( message_string, * )                                           &
             'The value for "topography_grid_convention" is ',                  &
-            'not recognized. & Choose ''cell_edge'' or ''cell_center''.'
+            'not recognized. Choose ''cell_edge'' or ''cell_center''.'
           CALL message( 'init_grid', 'PA0240', 1, 2, 0, 6, 0 )
        ENDIF
